Skip to content

Test Kafka produce latency

POST
/latency

Creates a test topic, sends 1000 messages, and returns latency statistics

OK

Response body of latency test endpoint.

object
cold_start_latency_ms

ColdStartLatencyMs is the latency of the first message (includes connection setup)

number
234.56
message_size_bytes

MessageSizeBytes is the size of each test message

integer
100
stats

Stats contains the steady-state latency statistics (after warmup)

object
count
integer
max_ms
number
mean_ms
number
min_ms
number
p50_ms
number
p90_ms
number
p95_ms
number
p99_ms
number
stddev_ms
number
timestamp

Timestamp is when the test was run

string
2024-01-08T12:00:00Z
topic

Topic is the test topic that was created

string
latency-test-1234567890

Internal Server Error

object
key
additional properties
string